Set custom field

Updates or sets a Custom Field instance in RAAS to be displayed on forms for the Tenant.

PUT
/v2/manage/custom-fields

Updates or sets a Custom Field instance in RAAS to be displayed on forms for the Tenant.

Authorization

M2MBearerToken
AuthorizationBearer <token>

M2M Token for authentication

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

body*unknown

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://api.loginradius.com/v2/manage/custom-fields" \  -H "Content-Type: application/json" \  -d '{}'
{
  "Data": [
    {
      "Type": "email",
      "Name": "Email Id",
      "Display": "Email ID",
      "Rules": "^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\\.[a-zA-Z]{2,}$",
      "Permission": "r",
      "Options": [
        {
          "Value": "option1",
          "Text": "Option 1"
        }
      ],
      "Checked": true
    }
  ]
}
{
  "ErrorCode": 1079,
  "Message": "Put body is invalid or empty",
  "Description": "Please use a valid put body in JSON format in order to process this request."
}
{
  "Message": "Access Unauthorized",
  "Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
  "ErrorCode": 6002
}
{
  "Message": "Custom field does not exist",
  "Description": "The Custom field is not configured, Please configure the custom fields before proceeding.",
  "ErrorCode": 7929
}
{
  "Message": "Operation failed due to an internal error.",
  "Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
  "ErrorCode": 7909
}